
%global meadversion 2.12.1
%global namedversion 2.12.1.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead
%bcond_with test_utils

%{?scl:%scl_package apache-sshd}
%{!?scl:%global pkg_name %{name}}


%define maven_version 2.12.1.redhat-00001

Name:           %{?scl_prefix}apache-sshd
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Apache Mina SSHD
Group:          Development/Java

%if %with mead
Source100: sshd-2.12.1.redhat-00001-project-sources.tar.gz
%endif

License:        ASL 2.0
URL:            https://github.com/apache/mina-sshd

%if 0
Provides:       %{?scl_prefix}apache-sshd-common = %{epoch}:%{version}-%{release}
Provides:       %{?scl_prefix}apache-sshd-core = %{epoch}:%{version}-%{release}
%endif

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Apache SSHD is a 100% pure java library to support the SSH protocols on both the client and server side.

%prep
%setup -q -n sshd-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/sshd-common-%{namedversion}.jar %{buildroot}%{_javadir}/sshd-common-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/sshd-common-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/sshd-common-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/sshd-common-%{namedversion}-sources.jar %{buildroot}%{_javadir}/sshd-common-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/sshd-core-%{namedversion}.jar %{buildroot}%{_javadir}/sshd-core-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/sshd-core-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/sshd-core-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/sshd-core-%{namedversion}-sources.jar %{buildroot}%{_javadir}/sshd-core-%{namedversion}-sources.jar

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/apache-sshd-%{namedversion}
unzip -qq %{_sourcedir}/apache-sshd-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/apache-sshd-%{namedversion} -x META-INF/\*
%{__ln_s} apache-sshd-%{namedversion} %{buildroot}%{_javadocdir}/apache-sshd
%endif

%files
%defattr(0644,root,root,0755)
%doc README.md CHANGES.md LICENSE.txt NOTICE-bin.txt NOTICE.txt
%{_javadir}/sshd-common-%{namedversion}.jar
%{_javadir}/sshd-common.jar

%{_javadir}/sshd-common-%{namedversion}-sources.jar
%{_javadir}/sshd-common-sources.jar


%{_javadir}/sshd-core-%{namedversion}.jar
%{_javadir}/sshd-core.jar

%{_javadir}/sshd-core-%{namedversion}-sources.jar
%{_javadir}/sshd-core-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/apache-sshd-%{namedversion}
%{_javadocdir}/apache-sshd
%endif


%changelog
* Tue Feb 20 2024 Harsha Cherukuri <hcheruku@redhat.com> - 2.12.1-1.redhat_00001.1
- Wrapper build 2.12.1.redhat-00001

* Fri Oct 20 2023 cpaas-ops <cpaas-ops@redhat.com> - 2.9.3-1.redhat_00001.1
- Built by CPaaS

* Thu Dec 22 2022 Harsha Cherukuri <hcheruku@redhat.com> - 2.9.2-1.redhat_00001.1
- Building new version

* Wed Dec 21 2022 cpaas-ops <cpaas-ops@redhat.com> - 2.7.0-2.redhat_00001.1
- Built by CPaaS

* Thu Oct 14 2021 Harsha Cherukuri <hcheruku@redhat.com> - 2.7.0-1.redhat_00001.1
- Build for version 2.7.0.redhat_00001

* Mon Oct 11 2021 cpaas-ops <cpaas-ops@redhat.com> - 2.4.0-3.redhat_00001.1
Built by CPaaS

* Fri Oct 08 2021 cpaas-ops <cpaas-ops@redhat.com> - 2.4.0-2.redhat_00001.1
Built by CPaaS

* Wed Nov 18 2020 Permaine Cheung <pcheung@redhat.com> - 2.4.0-1.redhat_00001.1
- 2.4.0.redhat100001

* Wed Nov 18 2020 Permaine Cheung <pcheung@redhat.com> - 2.3.0-2.redhat_00002.1
- 2.4.0.redhat100001

* Tue Nov 10 2020 Yong Yang <yyang@redhat.com> - 2.3.0-1.redhat_00002.1
-  2.4.0.redhat100001


* Tue Nov 10 2020 Yong Yang <yyang  @redhat.com> - 2.4.0-1.redhat_00001.1
- Init RPM wrapper
